Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package reify
  Definition Classes
    reflect
-  package codegen
  Definition Classes
    reify
- GenAnnotationInfos
- GenNames
- GenPositions
- GenSymbols
- GenTrees
- GenTypes
- GenUtils

t

scala.reflect.reify.codegen

# GenTrees 

###

#### trait GenTrees extends AnyRef

Self Type
  Reifier
Source
  GenTrees.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ApplyReifier, Reifier, UnapplyReifier, Phases, Reifier, Reify
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenTrees
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from GenTrees to any2stringadd[GenTrees] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (GenTrees, B)
   Implicit
     This member is added by an implicit conversion from GenTrees to ArrowAssoc[GenTrees] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (GenTrees) ⇒ Boolean, msg: ⇒ Any): GenTrees
   Implicit
     This member is added by an implicit conversion from GenTrees to Ensuring[GenTrees] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (GenTrees) ⇒ Boolean): GenTrees
   Implicit
     This member is added by an implicit conversion from GenTrees to Ensuring[GenTrees] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): GenTrees
    Implicit
      This member is added by an implicit conversion from GenTrees to Ensuring[GenTrees] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): GenTrees
    Implicit
      This member is added by an implicit conversion from GenTrees to Ensuring[GenTrees] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from GenTrees to StringFormat[GenTrees] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  def reifyFlags(flags: tools.nsc.Global.FlagSet): tools.nsc.Global.Tree
23.  def reifyModifiers(m: tools.nsc.Global.Modifiers): tools.nsc.Global.Tree
24.  def reifyTree(tree: tools.nsc.Global.Tree): tools.nsc.Global.Tree

    Reify a tree.

    Reify a tree. For internal use only, use `reified` instead.

25.  def reifyTreeSymbols: Boolean
26.  def reifyTreeSyntactically(tree: tools.nsc.Global.Tree): tools.nsc.Global.Tree
27.  def reifyTreeTypes: Boolean
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  def →[B](y: B): (GenTrees, B)
    Implicit
      This member is added by an implicit conversion from GenTrees to ArrowAssoc[GenTrees] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from GenTrees to any2stringadd[GenTrees]

### Inherited by implicit conversion StringFormat from GenTrees to StringFormat[GenTrees]

### Inherited by implicit conversion Ensuring from GenTrees to Ensuring[GenTrees]

### Inherited by implicit conversion ArrowAssoc from GenTrees to ArrowAssoc[GenTrees]

### Ungrouped